package com.hzya.frame.bip.v3.v2207.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.bip.v3.v2207.dao.IBipArchivesDao;
import com.hzya.frame.bip.v3.v2207.dao.IBipOrgsDao;
import com.hzya.frame.bip.v3.v2207.entity.BipArchivesEntity;
import com.hzya.frame.bip.v3.v2207.entity.BipOrgsEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository("bipArchivesDaoImpl")
public class BipArchivesDaoImpl extends MybatisGenericDao<BipArchivesEntity,String> implements IBipArchivesDao {

    @Override
    public List<BipArchivesEntity> queryArchivesData(BipArchivesEntity entity) {
        List<BipArchivesEntity> o = super.query(getSqlIdPrifx() + "queryArchivesData", entity);
        return o;
    }   @Override
    public List<BipArchivesEntity> queryArchivesDatays(BipArchivesEntity entity) {
        List<BipArchivesEntity> o = super.query(getSqlIdPrifx() + "queryArchivesDatays", entity);
        return o;
    }
}
